Subject: Re: bug#8122: More regression notes for bug#8122

From: Eli Zaretskii <[email-masked]>
Date: Sat, 26 Feb 2011 17:49:53 +0200

> Date: Sat, 26 Feb 2011 10:05:24 -0500
> From: Steve Revilak <[email-masked]>
> Cc: 
> 
> I've tried to reproduce bug 8122 on pretest versions 23.2.92 and
> 23.2.93.  Here are my findings:
> 
> Bug 8122 occurs in 23.2.94.
> 
> Bug 8122 DOES NOT occur with 23.2.91, 23.2.92, or 23.2.93.
> 
> So, this appears to be new behavior in 23.2.94.

The culprit seems to be this change:

  2011-02-12  Eli Zaretskii  <[email-masked]>

	  * terminal.c (create_terminal): Use default-keyboard-coding-system
	  and default-terminal-coding-system to initialize coding systems of
	  the new terminal.  (Bug#7840)

but I'd be damned if I understand how could it affect the character
produced by the RET key.  Hmm...